Subject: Re: Outdoor Finish for Redwood?

From: [email-masked]
Date: Sat, 29 Mar 1997 00:47:17 -0800

seumas mccombie wrote:
> 
> Jim Dresser wrote:
> >
> > I'm looking for recommendations for a finish that I can use on some
> > redwood furniture that I just built for my deck.  Thanks - Jim
> I have had nothing but excellent results with Sikkens products
> if the application methods are followed you should have the same results
> I have used this product on all my cedar projects
> hope this helps :^)
> seamus

I used Superdeck on the redwood deck and teahouse-style gazebo I built
last year as well as on the redwood side panels of a new hot tub. It's
all gone through a hot summer, rainy fall and snowy winter and the wood
still looks brand new. If you want to retain the natural look of the
wood I highly recommend this product. Get the Natural finish, that's
their Clear. It's also extremely easy to apply. Good luck.